Subject: Re: Cihui and WS II on Macintosh

From: Ryan Boynton <[email-masked]>
Date: Thu, 13 May 1993 20:26:06 CDT

On May 13, Roger Hart wrote:

> I have been unable to get Cihui 1.0d9 to run with WorldScript II
> (traditional characters) installed into System 7.1 (U.S. version)
> on my SE/30. The input window will not appear, and the application
> crashes when I change to another script or input method.
>
> I believe that my installation was correct--I installed Cihui by
> dragging the application, dictionaries and extensions to the
> System Folder 7.1, restarted, started Cihui by drag-and-dropping
> the big5.dict onto the Cihui application, and then choosing the
> Cihui option from the keyboard menu.
>
> Any suggestions??
>
> Roger Hart
> UCLA History

Ed Lai could probably give you the definitive response, but here's
what I've learned through trial and error.  (I'm running system 7.1
with WorldScript II using the traditional Chinese script on a IIci.)

Whenever you want to install or remove any files that WorldScript is
using or will use (script files, input methods), you must first keep
WorldScript from loading by restarting the machine with the shift
key down (turning off all extensions).  This is true also when
installing or removing any of the NFNT font files that go in the
font folder (though this doesn't seem to be an issue for the Chinese
character bitmap files -- just stick those loose in the system
folder).  I tried moving fonts around without disabling WorldScript
and corrupted all the fonts that were installed.  You will also
notice that you cannot remove the Chinese script file from the
system suitcase unless you disable WorldScript -- the icon does not
even appear once WorldScript is enabled.

With regard to your specific problem, the two system extensions
Cihui Big5 and Dummy Big5 need to be installed when WorldScript is
disabled.  These are the only two files that need to be put into the
system folder.  The Cihui application and the Big5 dictionary can be
anywhere you like, though they should be together in the same
folder.  I had the same symptoms you've described when I first tried
to install Cihui.  It now works, though some of the features (such
as bringing the pronunciations of already entered characters into
the input window via the clipboard and the automatic entering of
pinyin) I have only gotten to work in very strange ways.  (These do
not work at all with MS Word, which is not a surprise).

I have also experienced another problem, which may be the one you
mention, where the system hangs on startup if I try to switch the
primary script from Roman to Chinese *when Cihui is installed*.  If
Cihui is not installed switching seems to work fine.  (Switching to
Chinese as the primary script seems to have the advantage that the
text handling routines are slightly different, so that it is much
easier to write routines that manipulate Chinese text in HyperCard.)
I have no answer for this one.  Any ideas would be appreciated.

Hope this helps.

Ryan Boynton
Anthropology
University of Chicago